QGIS Application - Bug report #17050
Adding many WFS layers causes "Cannot create temporary SpatiaLite cache"
2017-08-22 04:25 PM - Dan Meerschaert

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.18.12 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 24949
Description

Many WFS layers added with iface.addVectorLayer seems to overload the WFS cache and prints "Cannot create temporary SpatiaLite
cache" to the log.

This error occurs on 2.14, 2.17. and 2.99 that i've tried so far.

To reproduce, add a few dozen WFS layers, save them all as a layer definition and reload, or use the following script in the python console
several times (attached .ixt)

iface.addVectorLayer(' restrictToRequestBBOX=\"1\' srsname=\'EPSG:4326\' typename=\"sdr:nyu_2451_34490\'
url=\"https://maps-public.geo.nyu.edu/geoserver/sdr/wfs\' version=\"auto\' table="" sql=',"example01","WFS")

History

#1 - 2017-08-23 09:18 AM - Giovanni Manghi
- Status changed from Open to Feedback

Tried your script on 2.18.12 on Windows and Linux and had no issues.

#2 - 2017-08-25 05:25 PM - Dan Meerschaert
- File Qqgis_17050.PNG added

Giovanni Manghi wrote:

Tried your script on 2.18.12 on Windows and Linux and had no issues.

| just tried on 2.18.12 windows 64bit and got the same problem.

Did you run the attached script? | ask because the problem doesn't happen until layer # 36 or so

#3 - 2017-08-26 09:40 AM - Giovanni Manghi
- Affected QGIS version changed from 2.18.7 to 2.18.12

Dan Meerschaert wrote:
Giovanni Manghi wrote:

Tried your script on 2.18.12 on Windows and Linux and had no issues.

| just tried on 2.18.12 windows 64bit and got the same problem.

Did you run the attached script? | ask because the problem doesn't happen until layer # 36 or so

yes, | used your script. Have you tried on a clean installation and/or on another system?

#4 - 2017-08-28 01:26 AM - Dan Meerschaert

Tried on a brand new win10 2.18.12 and the three versions i listed above on the same win7 machine.

#5 - 2017-08-28 10:34 AM - Giovanni Manghi

- Operating System deleted (Windows)

- Status changed from Feedback to Open

- Subject changed from Many WFS layers causes failures to Adding many WFS layers causes "Cannot create temporary SpatialLite cache"
#6 - 2017-11-13 06:32 PM - Even Rouault

I've identified this as a libspatialite issue. Basically we are currently limited to SPATIALITE_MAX_CONNECTIONS / 2 = 32 WFS layers

Thread to discuss increasing this limit: https://groups.google.com/forum/#!topic/spatialite-users/ir71z15x_SM

#7 - 2017-11-13 09:57 PM - Even Rouault

According to libspatialite developer, the issue will be solved by packaging recent libspatialite and GEOS >= 3.5

#8 - 2017-11-14 09:04 AM - Giovanni Manghi

Even Rouault wrote:

According to libspatialite developer, the issue will be solved by packaging recent libspatialite and GEOS >= 3.5

Should we make a feature request for this?

#9 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#10 - 2019-02-24 10:35 AM - Giovanni Manghi
- Status changed from Feedback to Closed
https://groups.google.com/forum/#!topic/spatialite-users/ir7Iz15x_SM

- Resolution set to up/downstream

Files
qgisPythonWFSscript.txt 8.4 KB 2017-08-22 Dan Meerschaert
Qgis_17050.PNG 97.4 KB 2017-08-25 Dan Meerschaert
